# $Revision: 1.51 $, $Date: 2008-06-07 17:08:56 $
#
# ToDo:
# - review -home_etc.patch
#
# Conditional build:
%bcond_without	home_etc	# without home_etc support
#
Summary:	An open source reimplementation of the Microprose game "Transport Tycoon Deluxe"
Summary(pl.UTF-8):	Otwarta reimplementacja gry Transport Tycoon Deluxe
Name:		openttd
Version:	0.6.1
Release:	0.2
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/openttd/%{name}-%{version}-source.tar.bz2
# Source0-md5:	f7c0f19dcca051cd28641109d795f202
Source1:	http://dl.sourceforge.net/openttd/%{name}-0.4.8-scenarios.tar.bz2
# Source1-md5:	34e8cb13ce1d4e6b5b24887c628c1ac8
Source2:	http://dl.sourceforge.net/openttd/%{name}-0.5.0-scenarios.tar.bz2
# Source2-md5:	37892f1fdded957f956766642a9e877d
Source3:	%{name}.desktop
Source4:	%{name}-server.desktop
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-libiconv.patch
URL:		http://www.openttd.com/
BuildRequires:	SDL-devel
BuildRequires:	freetype-devel
%{?with_home_etc:BuildRequires:	home-etc-devel}
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4
BuildRequires:	zlib-devel
Requires:	%{name}-data = %{version}-%{release}
Requires:	TiMidity++
Provides:	%{name}-binary = %{version}-%{release}
Obsoletes:	openttd-server
Suggests:	TiMidity++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenTTD is modeled after the original Transport Tycoon game by Chris
Sawyer and enhances the game experience dramatically. Many features
were inspired by TTDPatch while others are original.

It requires the original Transport Tycoon Deluxe data files.

%description -l pl.UTF-8
OpenTTD powstał na bazie gry Transport Tycoon stworzonej przez Chrisa
Sawyera, jego grywalność jest jednak dużo większa. Wiele rzeczy
zostało zainspirowanych przez TTDPatch, dużo jest jednak oryginalnych
pomysłów.

Do uruchomienia wymagane są pliki danych z Transport Tycoon Deluxe.

%package data
Summary:	OpenTTD data files
Summary(pl.UTF-8):	Pliki danych OpenTTD
Group:		X11/Applications/Games
Requires:	%{name}-binary = %{version}-%{release}

%description data
OpenTTD data files.

%description data -l pl.UTF-8
Pliki danych OpenTTD.

%package server
Summary:	OpenTTD dedicated server
Summary(pl.UTF-8):	Dedykowany serwer OpenTTD
Group:		X11/Applications/Games
Requires:	%{name}-data = %{version}-%{release}
Provides:	%{name}-binary = %{version}-%{release}
Obsoletes:	openttd

%description server
This package contains OpenTTD dedicated server. Note that
graphics-enabled OpenTTD client also has this functionality.

%description server -l pl.UTF-8
Ten pakiet zawiera dedykowany serwer OpenTTD. Należy zwrócić uwagę,
że graficzny klient OpenTTD również posiada tą funkcjonalność.

%prep
%setup -q
cd bin/scenario
tar xvjf %{SOURCE1}
tar xvjf %{SOURCE2}
mv openttd-0.4.8-RC1-scenarios/* .
rmdir openttd-0.4.8-RC1-scenarios heightmap
cd ../..
%{?with_home_etc:%patch0 -p1}
%patch1 -p1

# Let's pldize
find src/lang/ -type f -exec sed -i 's/:Unix/:PLD Linux/' \{\} \;

%build

# dedicated
./configure \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	--prefix-dir="%{_prefix}" \
	--binary-dir=bin \
	--data-dir=share/openttd \
	--icon-dir=share/pixmaps \
	--install-dir=$RPM_BUILD_ROOT \
	--os=UNIX \
	--without-sdl \
	--without-zlib \
	--without-png \
	--without-freetype \
	--without-fontconfig

%{__make} \
	MANUAL_CONFIG=1 \
	INSTALL=1 \
	VERBOSE=1 \
	DEDICATED=1

mv bin/openttd{,-dedicated}

# client
rm -f Makefile.config
%{__make} clean
./configure \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} `sdl-config --cflags` -I/usr/include/freetype2" \
	--prefix-dir="%{_prefix}" \
	--binary-dir=bin \
	--data-dir=share/openttd \
	--icon-dir=share/pixmaps \
	--install-dir=$RPM_BUILD_ROOT \
	--os=UNIX \
	--with-sdl \
	--with-zlib \
	--with-png \
	--with-freetype \
	--with-fontconfig \
	--with-iconv \
	--with-midi=/usr/bin/timidity

%{__make} \
	MANUAL_CONFIG=1 \
	INSTALL=1 \
	VERBOSE=1 \
	DEDICATED=0

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man6,%{_pixmapsdir},%{_datadir}/%{name}/scenario}

%{__make} install \
	INSTALL_DIR=$RPM_BUILD_ROOT \
	INSTALL=1 \
	VERBOSE=1 \
	PREFIX="/" \

install bin/openttd-dedicated $RPM_BUILD_ROOT%{_bindir}
install bin/scenario/* $RPM_BUILD_ROOT%{_datadir}/%{name}/scenario
install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
install docs/openttd.6 $RPM_BUILD_ROOT%{_mandir}/man6
install media/openttd.256.png $RPM_BUILD_ROOT%{_pixmapsdir}/openttd.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt known-bugs.txt readme.txt docs/{Manual.txt,multiplayer.txt}
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man6/*

%files data
%defattr(644,root,root,755)
%doc bin/scripts
%{_datadir}/%{name}
%{_pixmapsdir}/*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-dedicated
%{_desktopdir}/%{name}-server.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openttd.spec,v $
Revision 1.51  2008-06-07 17:08:56  adamg
- removed font-related todo entry (configuration issue)
- --with-iconv
- --with-midi=/usr/bin/timidity + Suggests: TiMidity++ (in order to play
  ingame music)
- release 0.2

Revision 1.50  2008-06-07 16:09:21  adamg
- updated to 0.6.1
- include scenario packs
- dropped -personal-data and -pthread patches (obsolete
- home-etc patch needs review
- release 0.1 (playable, but still needs some work)

Revision 1.49  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.47  2008-01-02 15:30:53  hawk
- release should be 1

Revision 1.46  2007-09-17 16:49:49  adamg
- updated to 0.5.3

Revision 1.45  2007/07/13 07:36:44  hawk
- proper personal-data.patch has been merger from AC-branch, enable it

Revision 1.44  2007/06/01 07:33:16  adamg
- updated to 0.5.2

Revision 1.43  2007/04/28 07:09:44  rotom
- up to 0.5.1

Revision 1.42  2007/04/27 07:01:04  qboosh
- CVE references for 0.4.8

Revision 1.41  2007/03/15 01:21:05  sparky
- everything needs to be revised

Revision 1.40  2007/03/14 21:20:28  sparky
- up to 0.5.0 final

Revision 1.39  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.37  2007/01/21 23:36:53  domelu
- up to up to 0.5.0-RC4
- dropped console.txt

Revision 1.36  2006/12/23 15:15:27  czarny
- up to 0.5.0-RC1
- pthread patch
- freetype include patch

Revision 1.35  2006/08/29 17:38:47  emes
- updated to 0.4.8 [fixes CVE-2006-1998 CVE-2006-1999]

Revision 1.34  2006/04/24 18:05:55  djrzulf
- updated do 047,

Revision 1.33  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.32  2006/02/07 21:35:51  sparky
- -BR unzip

Revision 1.31  2006/02/02 08:33:51  qboosh
- restored previous md5

Revision 1.30  2006/02/01 21:22:59  sparky
- correct md5

Revision 1.29  2006/02/01 02:52:44  wolf
- 0.4.5

Revision 1.28  2005/09/05 18:00:54  adamg
- fix for format string vulnerability (CAN-2005-2763)
- release 2

Revision 1.27  2005/05/22 16:40:40  qboosh
- unified sf URL

Revision 1.26  2005/05/22 16:00:49  wolf
- 0.4.0.1

Revision 1.25  2005/05/17 13:18:52  wolf
- fix for dedicated server building

Revision 1.24  2005/05/15 22:53:28  wolf
- 0.4.0
- dedicated server is broken - building w/o SDL doesn't work

Revision 1.23  2005/01/25 01:58:16  wolf
- finished

Revision 1.22  2005/01/25 01:35:45  wolf
- 0.3.6 (only to fetch sources)

Revision 1.21  2004/12/24 19:41:27  wolf
- 0.3.5

Revision 1.20  2004/12/17 18:41:01  wolf
- md5

Revision 1.19  2004/12/17 18:32:26  wolf
- 20041217
- add gradual load times patch
- icon, manpage

Revision 1.18  2004/12/13 23:34:53  adamg
- desktop file for dedicated server
- release 3

Revision 1.17  2004/12/13 23:22:13  adamg
- desktop file for openttd

Revision 1.16  2004/12/10 12:07:52  wolf
- fixed dependecies?
- rel 2

Revision 1.15  2004/12/07 20:02:19  wolf
- 20041207
- allow data files in ~/.openttd/data
- build dedicated server not linked to SDL

Revision 1.14  2004/12/06 22:54:33  wolf
- timidity not required for dedicated server

Revision 1.13  2004/12/05 18:03:46  wolf
- 20041205 (new network)

Revision 1.12  2004/11/20 15:58:33  wolf
- 20041120 snap (newgrf support)

Revision 1.11  2004/09/18 11:44:29  wolf
- snap with updated translations

Revision 1.10  2004/09/14 21:01:31  wolf
- 0.3.4

Revision 1.9  2004/07/14 22:57:37  wolf
- 0.3.3

Revision 1.8  2004/06/26 12:42:11  qboosh
- added endian patch, release 5

Revision 1.7  2004/06/21 19:49:51  wolf
- new snap

Revision 1.6  2004/06/17 20:48:42  wolf
- s/clone/reimplementation/

Revision 1.5  2004/06/14 16:15:31  wolf
- add title screen (kinda sucks)

Revision 1.4  2004/06/12 13:20:52  pzurowski
- some pldlization in lang files (s/Unix/PLD Linux/)

Revision 1.3  2004/06/11 22:47:16  pzurowski
- added conditional home_etc support
- release 3

Revision 1.2  2004/06/11 21:23:39  wolf
- svn snap, polish translation among other things

Revision 1.1  2004/06/11 15:03:29  wolf
- o jaaa
